Bug 466378 - gtk2 print dialog crashes when selecting encrypted ipp printer
gtk2 print dialog crashes when selecting encrypted ipp printer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 18:22 EDT by Aram Agajanian
Modified: 2009-07-14 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Run-time stack listing from gdb when crash occurs in eog. (6.98 KB, text/plain)
2008-10-09 18:22 EDT, Aram Agajanian
no flags Details
Run-time stack listing from gdb when crash occurs in firefox. (9.99 KB, text/plain)
2008-10-09 19:02 EDT, Aram Agajanian
no flags Details

  None (edit)
Description Aram Agajanian 2008-10-09 18:22:23 EDT
Created attachment 319957 [details]
Run-time stack listing from gdb when crash occurs in eog.

Description of problem:

Applications that use gtk2 for printing are crashing when selecting an
IPP printer with an encrypted connection.


Version-Release number of selected component (if applicable):
2.12.12-1.fc9


How reproducible:
happens every time


Steps to Reproduce:
1.  Create a CUPS queue with a an encrypted IPP printer.
Note: The URL of an encrypted IPP printer has the following form:
ipp://ip.address.com:port/printers/csoffice?encryption=always
2.Start an application that uses gtk2 to print.
3.Open the print dialog from the File menu.
4.Select the encrypted IPP printer by clicking on its name with
the mouse.
  

Actual results: The application crashes in the get_ppd_data_free()
function at gtkprintbackendcups.c:1429.


Expected results: The application should not crash.  You should
be able to use the print dialog to configure the print job
and then submit it to the printer.
Comment 1 Aram Agajanian 2008-10-09 19:02:54 EDT
Created attachment 319960 [details]
 Run-time stack listing from gdb when crash occurs in firefox.   


By the way, I am able to print to the encrypted IPP printer using KOrganizer, xpdf, and the lp command.
Comment 2 Bug Zapper 2009-06-09 22:55:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:29:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.